package com.bytedance.android.livesdk.layer;

import X.C4036H4r;
import X.H9N;
import X.M12;
import com.bytedance.android.live.layer.ILayerService;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LayerSpecImpl;

public class LayerService implements ILayerService {
    static {
        Covode.recordClassIndex(17331);
    }

    public void onInit() {
    }

    public LayerSpecImpl getCommonSkeletons(C4036H4r h4r) {
        M12.LIZ(h4r);
        return new H9N(h4r);
    }
}
